import { WebApi } from '../models/WebApi';
import { Action } from '../models/Actions';
import GlobalState from '../models/GlobalState';
import { ThunkAction } from 'redux-thunk';
import NotificationModel from '../models/NotificationModel';
import { DisplayTemplate } from '../models/DisplayTemplate';
import { UserModel } from '../models/UserModel';
import { ColumnHeader } from '../models/DataGrid';
export declare const DATAGRID_DISPLAY_TEMPLATE_CHANGE = "DATAGRID_DISPLAY_TEMPLATE_CHANGE";
export declare const DATAGRID_CHANGE_COLUMN_ORDER = "DATAGRID_CHANGE_COLUMN_ORDER";
export declare const DATAGRID_CHANGE_COLUMN_DISPLAY = "DATAGRID_CHANGE_COLUMN_DISPLAY";
export declare const DATAGRID_CHANGE_COLUMN_WIDTH = "DATAGRID_CHANGE_COLUMN_WIDTH";
export declare const DATAGRID_CHANGE_COLUMN_TEXT_ALIGN = "DATAGRID_CHANGE_COLUMN_TEXT_ALIGN";
export declare const DATAGRID_USER_DISPLAY_TEMPLATES_UPDATE = "DATAGRID_USER_DISPLAY_TEMPLATES_UPDATE";
export declare const DATAGRID_BOOTSTRAP_TEMPLATE = "DATAGRID_BOOTSTRAP_TEMPLATE";
export declare const DATAGRID_SYNCHRONISE_TEMPLATE = "DATAGRID_SYNCHRONISE_TEMPLATE";
export declare function changeDisplayTemplate(displayTemplate: DisplayTemplate, dataGridId: string, serviceId: string, instanceName: string): Action;
export declare function changeColumnOrder(columnId: string, order: string, displayMode: string, dataGridId: string, serviceId: string, instanceName: string): Action;
export declare function changeColumnDisplay(columnId: string, display: boolean, displayMode: string, dataGridId: string, serviceId: string, instanceName: string): Action;
export declare function changeColumnWidth(columnId: string, way: string, displayMode: string, dataGridId: string, serviceId: string, instanceName: string): Action;
export declare function changeColumnTextAlign(columnId: string, align: string, displayMode: string, dataGridId: string, serviceId: string, instanceName: string): Action;
export declare function saveUserDisplayTemplates(api: WebApi, updatedData: UserModel, receiveUserInfo: (userInfo: UserModel) => Action, displayNotification: (notificationType?: NotificationModel.Type, notificationOptions?: NotificationModel, displayParameter?: any) => Action, handleErrorDisplay: (error: any) => Action): ThunkAction<void, GlobalState, any>;
export declare function userDisplayTemplatesUpdate(): Action;
export declare function bootstrapDataGridTemplate(columnHeaders: ColumnHeader[], dataGridId: string, serviceId: string, instanceName: string): Action;
export declare function synchroniseDataGridTemplate(columnHeaders: ColumnHeader[], dataGridId: string, serviceId: string, instanceName: string): Action;
