/// <reference types="react" />
/**
 * Created by franckmontaigne on 13/06/16.
 */
import * as React from 'react';
import GlobalState from './models/GlobalState';
import { ReduxProps } from './models/ReduxProps';
import { Action } from './models/Actions';
import NotificationModel from './models/NotificationModel';
import { ColumnHeader, DataGridTemplates } from './models/DataGrid';
import { UserModel } from './models/UserModel';
import { ThunkAction } from 'redux-thunk';
import { MapStateToProps } from 'react-redux';
import { WebApi } from './models/WebApi';
export declare namespace DataGrid {
    interface Props extends React.Props<DataGrid>, ReduxProps {
        /** Interface used to perform all the api call to the server. */
        api: WebApi;
        /** Display context menu. */
        displayContextMenu: (content: any, positionX?: number, positionY?: number) => Action;
        /** Hide contet menu. */
        hideContextMenu: () => Action;
        /** Update user info from store. */
        receiveUserInfo: (userInfo: UserModel) => Action;
        displayNotification: (notificationType?: NotificationModel.Type, notificationOptions?: NotificationModel, displayParameter?: any) => Action;
        handleErrorDisplay: (error: any) => Action;
        showDialog: (title: string, body: React.ReactElement<any> | string, confirmAction?: Action | ThunkAction<void, GlobalState, any>, cancelAction?: Action | ThunkAction<void, GlobalState, any>, confirmLevel?: string, itemsList?: string[], modalReadyCallback?: () => void) => Action;
        hideDialog: () => Action;
        dataGridId?: string;
        forcedServiceId?: string;
        preventTemplating?: boolean;
        columnHeaders: ColumnHeader[];
        dataLines: JSX.Element[];
        fetchingHeaders?: boolean;
        fetchingItems?: boolean;
        noItemsMsg?: string;
        sortHandler?: (columnId: string, sortDirection: string) => void;
        sortColumn?: string;
        sortDirection?: string;
        selectHandler?: (selectedItemsIdx: number[]) => void;
        selectedItems?: number[];
        selectionContextMenu?: JSX.Element;
        resetTick?: number;
        stickyHeader?: boolean;
        templates?: DataGridTemplates;
        templatesChanged?: boolean;
        selectedAppInstanceName?: string;
        defaultServiceId?: string;
        user?: UserModel;
        locale: string;
        /** Hide props from documentation */
        /** @ignore */
        children?: React.ReactNode;
        /** @ignore */
        key?: React.ReactText;
        /** @ignore */
        ref?: React.Ref<DataGrid>;
    }
    interface State {
        displayHiddenColumnsPanel?: boolean;
        templateDialogOpened?: boolean;
        wordings?: {
            [id: string]: string;
        };
    }
}
export declare class DataGrid extends React.Component<DataGrid.Props, DataGrid.State> {
    static select: MapStateToProps<any, DataGrid.Props>;
    constructor(props: DataGrid.Props);
    componentWillMount(): void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: DataGrid.Props): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private getTemplateInjectedDataLines;
    private getDisplayTemplate;
    private bootstrapTemplate;
    private changeColumnOrder;
    private changeColumnWidth;
    private changeColumnTextAlign;
    private changeColumnDisplay;
    private resetTemplate;
    private changeTemplate;
    private getHiddenColumnsPanel;
    private displayContextMenu;
    private hideContextMenu;
    private displayNotification;
    private saveDataGridTemplate;
}
declare const _default: any;
export default _default;
