/// <reference types="react" />
import * as React from 'react';
declare namespace KeyValueEditor {
    interface KeyValDef {
        [key: string]: {
            contentType: string;
            contentBytes: string;
        };
    }
    interface KeyValStoreDef {
        [idx: string]: {
            key: string;
            contentType: string;
            contentBytes: string;
        };
    }
    interface Props extends React.ClassAttributes<KeyValueEditor> {
        /** Handle values changes. */
        handleChange: (keyValues: KeyValDef) => void;
        /** Current keyValues data. */
        keyValues: KeyValDef;
        /** Locale to be used. */
        locale: string;
        /** Hide props from documentation */
        /** @ignore */
        children?: React.ReactNode;
        /** @ignore */
        key?: React.ReactText;
        /** @ignore */
        ref?: React.Ref<KeyValueEditor>;
    }
    interface State {
        wordings?: {
            [key: string]: string;
        };
    }
}
/**
 * Map component where you can assiociate keys with texts or files.
 */
declare class KeyValueEditor extends React.Component<KeyValueEditor.Props, KeyValueEditor.State> {
    constructor(props: KeyValueEditor.Props);
    render(): JSX.Element;
    private downloadFile;
    private addKeyValue;
    private removeKeyValue;
    private handleKeyChange;
    private handleValueChange;
    private handleFileUpload;
    private getKeyValueStore;
    private getKeyValuesObject;
}
export default KeyValueEditor;
