/// <reference types="react" />
import * as React from 'react';
import { PermissionDef, ScopesTree } from './models/Scopes';
/**
 * Display or hide component depending of user access.
 */
declare module Restricted {
    interface Props extends React.Props<Restricted> {
        /** Instance you are connected to. */
        appInstance?: string;
        /** Tree containing all your permissions. */
        scopesTree?: ScopesTree;
        /** Actions which allow you to display children. */
        authorizedActions?: string[];
        /** Actions you want to use. */
        requiredActions?: string[];
        /** Feature you want to access. */
        featureId?: string;
        /** Permissions needed to display children. */
        permissions?: string[] | PermissionDef[];
        /** Permission need to be in * instance. */
        needsGlobalPermission?: boolean;
        /** Hide props from documentation */
        /** @ignore */
        children?: React.ReactNode;
        /** @ignore */
        key?: React.ReactText;
        /** @ignore */
        ref?: React.Ref<Restricted>;
    }
}
declare class Restricted extends React.Component<Restricted.Props, any> {
    constructor(props: Restricted.Props);
    render(): React.ReactElement<any>;
}
export default Restricted;
